Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.configuration
Class BaseConfiguration

    java.lang.Object
      org.apache.cactus.internal.configuration.BaseConfiguration

All Implemented Interfaces:
  Configuration

Direct Known Subclasses:
  AbstractWebConfiguration

public class BaseConfiguration
extends java.lang.Object
implements Configuration

Provides access to the Cactus configuration parameters that are independent of any redirector. All Cactus configuration are defined as Java System Properties.

Version:
  $Id: BaseConfiguration.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`static java.lang.String` | `CACTUS_CONTEXT_URL_PROPERTY` Name of Cactus property that specify the URL up to the webapp context.

Constructor Summary
`BaseConfiguration()`

Method Summary
`java.lang.String` | `getContextURL()`
`java.lang.String` | `getInitializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACTUS_CONTEXT_URL_PROPERTY

    public static final java.lang.String CACTUS_CONTEXT_URL_PROPERTY

  Name of Cactus property that specify the URL up to the webapp context. This is the base URL to call for the redirectors. It is made up of : "http://" + serverName + port + "/" + contextName.

  See Also:
    Constant Field Values

Constructor Detail

### BaseConfiguration

    public BaseConfiguration()

Method Detail

### getContextURL

    public java.lang.String getContextURL()

  Specified by:
    `getContextURL` in interface `Configuration`
  Returns:
    the context URL under which our application to test runs.

### getInitializer

    public java.lang.String getInitializer()

  Specified by:
    `getInitializer` in interface `Configuration`
  Returns:
    the initializer class (i.e. a class that is executed before the Cactus tests start on the client side) or null if none has been defined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.